Unify and manage your data

Get DVF by URI

Learn how to retrieve a single Data Validation Function (DVF) using its function URI.

Use this operation to retrieve a single DVF using its function URI. The Data Validation runs on a dedicated service host, separate from your tenant's base API host. This operation identifies the DVF using the tenant ID and function URI only. Any environment header included in the request doesn't affect the result.

HTTP method and endpoint

Use the following HTTP method and endpoint path to retrieve a DVF with a specific URI:

GET https://data-validation-functions.reltio.com/api/{tenantId}/dataValidationFunctions/{uri}
ParameterTypeRequiredDescription
tenantIdStringYesThe unique identifier of the tenant.
uriStringYesThe function URI of the DVF to retrieve.

Request headers

Include the following headers in the request. An env header isn't required for this operation.

HeaderValueRequired
AuthorizationBearer <access_token>Yes

Request body

This operation doesn't require a request body.

Example request

Use the following example to see how a complete request is structured with headers and a JSON body.

GET https://data-validation-functions.reltio.com/api/{tenantId}/dataValidationFunctions/171a5836-49f1-4928-b286-728a2e5bab79
Authorization: Bearer <access_token>

Response body

The response is an array of DVF objects.

FieldTypeDescription
uriStringUnique identifier of the DVF.
nameStringName of the DVF.
labelStringDisplay label of the DVF.
descriptionStringDescription of the DVF.
expressionStringThe validation expression evaluated by the DVF.
actionStringThe action taken when the DVF evaluates to true, for example WARNING.
messageStringValidation message for the function when the expression is evaluated as true.
validationEventStringThe lifecycle event on which the DVF runs.
statusStringWhether the DVF is ACTIVE or inactive.
attributeStringThe attribute URI the DVF validates.
createdByStringThe user or system that created the DVF.
createdTimeStringEpoch timestamp, in milliseconds, when the DVF was created.
updatedByStringThe user or system that last updated the DVF.
updatedTimeStringEpoch timestamp, in milliseconds, when the DVF was last updated.
applyOnStringScope the DVF applies to, for example OV (object version).
sourceTypesArraySource types the DVF applies to. Empty when the DVF applies to all sources.

Example response

The following example shows a response with a DVFs for a specific URI.

{
  "uri": "171a5836-49f1-4928-b286-728a2e5bab79",
  "name": "ShortNameCheck",
  "label": "",
  "description": "Name is suspiciously short",
  "expression": "regexp(attributes.Name.value, '^.{1,3}$')",
  "action": "WARNING",
  "message": "Name must contain at least 3 characters."
  "validationEvent": "ALL",
  "status": "ACTIVE",
  "attribute": "configuration/entityTypes/Organization/attributes/Name",
  "createdBy": "PLATFORM_CONTROL_CENTER",
  "createdTime": "1783418619169",
  "updatedBy": "PLATFORM_CONTROL_CENTER",
  "updatedTime": "1783418619169",
  "applyOn": "OV",
  "sourceTypes": []
}

The following table lists the possible error responses returned by this API.

HTTP status codeError codeDescriptionRecommended action
401 UnauthorizedMISSINGMissing or invalid authentication credentials.Provide a valid bearer token.
403 ForbiddenMISSINGInsufficient permissions.Confirm the account has DVF read permissions.
404 Not FoundMISSINGNo DVF exists for the specified URI in this tenant.Confirm the function URI and tenant ID.

For more information, see Validate entities using DVF, Get all DVFs, and Get DVFs by entity type.